Skip to main content
GET
/
api
/
v1
/
bills
List Bills
curl --request GET \
  --url https://staging.cutmake.ai/api/v1/bills
{
  "data": [
    {
      "id": "<string>",
      "billNumber": "<string>",
      "billType": "<string>",
      "supplierId": "<string>",
      "supplierName": "<string>",
      "clientId": "<string>",
      "employeeName": "<string>",
      "employeeId": "<string>",
      "linkedPoId": "<string>",
      "purchaseOrderId": "<string>",
      "purchaseOrderDocumentId": "<string>",
      "purchase_order": {},
      "managementAccountId": "<string>",
      "currency": "<string>",
      "subtotal": 123,
      "taxRate": 123,
      "taxAmount": 123,
      "totalAmount": 123,
      "paidAmount": 123,
      "remainingBalance": 123,
      "dueDate": "<string>",
      "status": "<string>",
      "sourceOfFunds": "<string>",
      "notes": "<string>",
      "createdAt": "<string>"
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "totalPages": 123,
    "hasNext": true,
    "hasPrev": true
  }
}

Query Parameters

page
integer
default:1
Required range: x >= 1
limit
integer
default:10
Required range: 1 <= x <= 100
status
string | null
search
string | null
sort
string
default:-created_at

Response

Successful Response

data
BillResponse · object[]
required
pagination
PaginationInfo · object
required